Bug 1591023 - (CVE-2018-7164) CVE-2018-7164 nodejs: uncontrolled memory consumption when using the net.Socket as a stream
CVE-2018-7164 nodejs: uncontrolled memory consumption when using the net.Sock...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20180612,repor...
: Security
Depends On: 1591024
Blocks: 1591010
  Show dependency treegraph
 
Reported: 2018-06-13 18:37 EDT by Laura Pardo
Modified: 2018-08-07 00:17 EDT (History)
31 users (show)

See Also:
Fixed In Version: nodejs 10.4.1, nodejs 9.11.2
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laura Pardo 2018-06-13 18:37:05 EDT
A flaw was found in Node.js versions 9.7.0 and later and 10.x. A bug introduced in 9.7.0 increases the memory consumed when reading from the network into JavaScript using the net.Socket object directly as a stream. An attacker could use this cause a denial of service by sending tiny chunks of data in short succession.


References:
https://nodejs.org/en/blog/vulnerability/june-2018-security-releases/
Comment 1 Laura Pardo 2018-06-13 18:37:47 EDT
Created nodejs tracking bugs for this issue:

Affects: epel-all [bug 1591024]
Comment 2 Stephen Gallagher 2018-06-14 08:31:28 EDT
Where is the Fedora tracking bug for this?
Comment 3 Cedric Buissart 2018-06-29 05:37:24 EDT
In reply to comment 2:
> Where is the Fedora tracking bug for this?

Fedora-28 is shipped with nodejs-8.11.3-1.fc28, thus not affected. f-29 & rawhide are currently on nodejs-10.5.0 (https://apps.fedoraproject.org/packages/nodejs), which contains the fix, thus not affected either.
Is there really a need for a fedora tracking bug ?
Comment 4 Cedric Buissart 2018-06-29 05:50:37 EDT
's/really/still/'
Comment 5 Cedric Buissart 2018-06-29 07:37:27 EDT
upstream fix:
https://github.com/nodejs/node/commit/3217e8e66fa81e

Note You need to log in before you can comment on or make changes to this bug.